> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serval.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Ticket

> Move a ticket into cold storage, removing it from most views. Non-archived descendant tickets are archived along with it. Reversible via Unarchive.



## OpenAPI

````yaml /sections/api-reference/openapi-spec-v2.yaml post /v2/tickets/{id}/archive
openapi: 3.1.0
info:
  title: Serval Public API
  description: Serval Public API
  contact:
    name: Serval
    url: https://serval.com
    email: support@serval.com
  license:
    name: Serval License
    url: https://serval.com/license
  version: 2.0.0
servers:
  - url: https://public.api.serval.com
security:
  - BearerAuth: []
tags:
  - name: Access Policy API
  - name: Access Policy Approval Procedure API
  - name: Access Profile API
  - name: Access Relationship API
  - name: Access Request API
  - name: Agent API
  - name: App Instance API
  - name: App Resource API
  - name: App Resource Role API
  - name: Approval Delegation API
  - name: Approval Request API
  - name: Audit Log API
  - name: Change Blackout API
  - name: Change Model API
  - name: Custom Field API
  - name: Custom Service API
  - name: Entity API
  - name: Entity Field Mapping API
  - name: Entity Ingestion Config API
  - name: Entity Type API
  - name: Folder API
  - name: Group API
  - name: Guidance API
  - name: Help Agent API
  - name: Journey API
  - name: Knowledge API
  - name: Knowledge Base API
  - name: Report API
  - name: SLA API
  - name: Schedule API
  - name: Tag API
  - name: Team API
  - name: Team User API
  - name: Ticket API
  - name: Topic API
  - name: User API
  - name: User Relationship API
  - name: Workflow API
  - name: Workflow Approval Procedure API
  - name: Workflow Run API
paths:
  /v2/tickets/{id}/archive:
    post:
      tags:
        - Ticket API
      summary: Archive Ticket
      description: >-
        Move a ticket into cold storage, removing it from most views.
        Non-archived descendant tickets are archived along with it. Reversible
        via Unarchive.
      operationId: svrelay.publicv2.PublicAPIServiceV2.ArchiveTicket
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: id
            description: >-
              The ID of the ticket to archive. The owning team is resolved
              server-
               side; callers do not (and must not) supply it.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/svhelp.publicapi.ArchiveTicketResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connect.error'
      security:
        - BearerAuth: []
components:
  schemas:
    svhelp.publicapi.ArchiveTicketResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/svhelp.pubapimodels.Ticket'
          title: data
          x-stainless-terraform-configurability: optional
      title: ArchiveTicketResponse
      additionalProperties: false
    connect.error:
      type: object
      properties:
        code:
          type: string
          examples:
            - not_found
          enum:
            - canceled
            - unknown
            - invalid_argument
            - deadline_exceeded
            - not_found
            - already_exists
            - permission_denied
            - resource_exhausted
            - failed_precondition
            - aborted
            - out_of_range
            - unimplemented
            - internal
            - unavailable
            - data_loss
            - unauthenticated
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          x-stainless-terraform-configurability: optional
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
          x-stainless-terraform-configurability: optional
        detail:
          $ref: '#/components/schemas/google.protobuf.Any'
          x-stainless-terraform-configurability: optional
      title: Connect Error
      additionalProperties: true
      description: >-
        Error type returned by Connect:
        https://connectrpc.com/docs/go/errors/#http-representation
    svhelp.pubapimodels.Ticket:
      type: object
      properties:
        id:
          type: string
          title: id
          description: The ID of the Serval ticket.
          readOnly: true
          x-stainless-terraform-configurability: computed
        friendlyIdentifier:
          type: string
          title: friendly_identifier
          description: >-
            A friendly identifier for the ticket. This is a unique identifier
            for the ticket that is displayed to the user. It is a combination 
             of the team prefix (configured in Settings > Organization Settings > Teams) and the ticket number.
             Example: For the Acme team's 10th ticket, the friendly identifier is "ACM-10".
          readOnly: true
          x-stainless-terraform-configurability: computed
        teamId:
          type: string
          title: team_id
          description: The ID of the team that the ticket belongs to.
          x-stainless-terraform-configurability: optional
        name:
          type: string
          title: name
          description: A name or title for the ticket.
          x-stainless-terraform-configurability: optional
        description:
          type: string
          title: description
          description: A description of the ticket.
          x-stainless-terraform-configurability: optional
        createdAt:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: created_at
          description: >-
            Timestamp indicating when the ticket was created. Will be in RFC
            3339 format 
             (e.g., "2017-01-15T01:30:15.01Z").
          readOnly: true
          x-stainless-terraform-configurability: computed
        completedAt:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: completed_at
          description: >-
            Timestamp indicating when the ticket was completed. Will be in RFC
            3339 format 
             (e.g., "2017-01-15T01:30:15.01Z").
          nullable: true
          readOnly: true
          x-stainless-terraform-configurability: computed
        escalatedAt:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: escalated_at
          description: >-
            Timestamp indicating when the ticket was escalated. Will be in RFC
            3339 format 
             (e.g., "2017-01-15T01:30:15.01Z").
          nullable: true
          readOnly: true
          x-stainless-terraform-configurability: computed
        createdByUserId:
          type: string
          title: created_by_user_id
          description: The ID of the user who created the ticket.
          x-stainless-terraform-configurability: optional
        assignedToUserId:
          type: string
          title: assigned_to_user_id
          description: >-
            The ID of the user who is assigned to the ticket. Optional if the
            ticket is not assigned to a user.
          nullable: true
          x-stainless-terraform-configurability: optional
        requesterUserId:
          type: string
          title: requester_user_id
          description: >-
            The ID of the user this ticket was created on behalf of (the
            requester).
          x-stainless-terraform-configurability: optional
        statusId:
          type: string
          title: status_id
          description: The ID of the status option for the ticket.
          x-stainless-terraform-configurability: optional
        escalationLevel:
          $ref: '#/components/schemas/svhelp.models.TicketEscalationLevel'
          title: escalation_level
          description: The escalation level of the ticket.
          x-stainless-terraform-configurability: optional
        priorityId:
          type: string
          title: priority_id
          description: The ID of the priority option for the ticket.
          x-stainless-terraform-configurability: optional
        slaStartedAt:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: sla_started_at
          description: >-
            Timestamp indicating when the SLA started. Will be in RFC 3339
            format 
             (e.g., "2017-01-15T01:30:15.01Z").
          nullable: true
          readOnly: true
          x-stainless-terraform-configurability: computed
        slaBreachesAt:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: sla_breaches_at
          description: >-
            Timestamp indicating when the SLA was breached. Will be in RFC 3339
            format 
             (e.g., "2017-01-15T01:30:15.01Z").
          nullable: true
          readOnly: true
          x-stainless-terraform-configurability: computed
        labelIds:
          type: array
          items:
            type: string
          title: label_ids
          description: List of label IDs for the ticket.
          x-stainless-terraform-configurability: optional
        type:
          $ref: '#/components/schemas/svhelp.models.TicketType'
          title: type
          description: >-
            The type of ticket. Possible values: TICKET_TYPE_REQUEST,
            TICKET_TYPE_TASK, TICKET_TYPE_INCIDENT, TICKET_TYPE_MAJOR_INCIDENT,
            TICKET_TYPE_JOURNEY.
          x-stainless-terraform-configurability: optional
        dueDate:
          $ref: '#/components/schemas/google.type.Date'
          title: due_date
          description: Due date (date only, no time component).
          nullable: true
          readOnly: true
          x-stainless-terraform-configurability: computed
        isOverdue:
          type: boolean
          title: is_overdue
          description: True if the due date has passed (computed server-side).
          readOnly: true
          x-stainless-terraform-configurability: computed
        childTicketIds:
          type: array
          items:
            type: string
            readOnly: true
          title: child_ticket_ids
          description: IDs of child (task) tickets under this ticket.
          readOnly: true
          x-stainless-terraform-configurability: computed
        linkedTicketIds:
          type: array
          items:
            type: string
            readOnly: true
          title: linked_ticket_ids
          description: IDs of tickets linked to this ticket.
          readOnly: true
          x-stainless-terraform-configurability: computed
        duplicateTicketIds:
          type: array
          items:
            type: string
            readOnly: true
          title: duplicate_ticket_ids
          description: IDs of tickets marked as duplicates of this ticket.
          readOnly: true
          x-stainless-terraform-configurability: computed
        dependsOnTicketIds:
          type: array
          items:
            type: string
            readOnly: true
          title: depends_on_ticket_ids
          description: IDs of tickets that this ticket depends on.
          readOnly: true
          x-stainless-terraform-configurability: computed
        parentTicketId:
          type: string
          title: parent_ticket_id
          description: >-
            The ID of this ticket's parent ticket. Only set for task tickets
            that have a parent.
          nullable: true
          readOnly: true
          x-stainless-terraform-configurability: computed
        conversationThreadTicketIds:
          type: array
          items:
            type: string
            readOnly: true
          title: conversation_thread_ticket_ids
          description: IDs of conversation thread tickets on this ticket.
          readOnly: true
          x-stainless-terraform-configurability: computed
        conversationThreadParentTicketId:
          type: string
          title: conversation_thread_parent_ticket_id
          description: >-
            The ID of the main ticket this thread belongs to. Only set for
            conversation thread tickets.
          nullable: true
          readOnly: true
          x-stainless-terraform-configurability: computed
        nameTranslations:
          type: object
          title: name_translations
          additionalProperties:
            type: string
            title: value
          description: >-
            Per-language translations for the ticket name. Key = BCP 47 language
            code.
          x-stainless-terraform-configurability: optional
        descriptionTranslations:
          type: object
          title: description_translations
          additionalProperties:
            type: string
            title: value
          description: >-
            Per-language translations for the ticket description. Key = BCP 47
            language code.
          x-stainless-terraform-configurability: optional
        categoryOptionId:
          type: string
          title: category_option_id
          description: |-
            The ID of the category option currently set on the ticket. May be a
             top-level category or a nested subcategory. Absent when the ticket has no
             category.
          nullable: true
          x-stainless-terraform-configurability: optional
      title: Ticket
      additionalProperties: false
    google.protobuf.Any:
      type: object
      properties:
        type:
          type: string
          x-stainless-terraform-configurability: optional
        value:
          type: string
          format: binary
          x-stainless-terraform-configurability: optional
        debug:
          type: object
          additionalProperties: true
          x-stainless-terraform-configurability: optional
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    google.protobuf.Timestamp:
      type: string
      format: date-time
      description: A timestamp in RFC 3339 format (e.g., "2025-01-15T01:30:15Z").
    svhelp.models.TicketEscalationLevel:
      type: string
      title: TicketEscalationLevel
      enum:
        - AI
        - HUMAN
    svhelp.models.TicketType:
      type: string
      title: TicketType
      enum:
        - TICKET_TYPE_UNSPECIFIED
        - TICKET_TYPE_REQUEST
        - TICKET_TYPE_TASK
        - TICKET_TYPE_MAJOR_INCIDENT
        - TICKET_TYPE_CONVERSATION
        - TICKET_TYPE_JOURNEY
        - TICKET_TYPE_JOURNEY_CONVERSATION
        - TICKET_TYPE_INCIDENT
        - TICKET_TYPE_CHANGE
        - TICKET_TYPE_CUSTOM
    google.type.Date:
      type: object
      properties:
        year:
          type: integer
          title: year
          format: int32
          description: >-
            Year of the date. Must be from 1 to 9999, or 0 to specify a date
            without
             a year.
          x-stainless-terraform-configurability: optional
        month:
          type: integer
          title: month
          format: int32
          description: >-
            Month of a year. Must be from 1 to 12, or 0 to specify a year
            without a
             month and day.
          x-stainless-terraform-configurability: optional
        day:
          type: integer
          title: day
          format: int32
          description: >-
            Day of a month. Must be from 1 to 31 and valid for the year and
            month, or 0
             to specify a year by itself or a year and month where the day isn't
             significant.
          x-stainless-terraform-configurability: optional
      title: Date
      additionalProperties: false
      description: >-
        Represents a whole or partial calendar date, such as a birthday. The
        time of
         day and time zone are either specified elsewhere or are insignificant. The
         date is relative to the Gregorian Calendar. This can represent one of the
         following:

         * A full date, with non-zero year, month, and day values.
         * A month and day, with a zero year (for example, an anniversary).
         * A year on its own, with a zero month and a zero day.
         * A year and month, with a zero day (for example, a credit card expiration
           date).

         Related types:

         * [google.type.TimeOfDay][google.type.TimeOfDay]
         * [google.type.DateTime][google.type.DateTime]
         * [google.protobuf.Timestamp][google.protobuf.Timestamp]
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````